## globus-scheduler-event-generator 2.1

=== debian/changelog ===
globus-scheduler-event-generator (2.1-5) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 06:25:21 +0200

globus-scheduler-event-generator (2.1-4) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616248)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 07:28:58 +0200

globus-scheduler-event-generator (2.1-3) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there) (Closes: #583047)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-scheduler-event-generator (2.1-2) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Jan 2010 22:27:14 +0100

globus-scheduler-event-generator (2.1-1) unstable; urgency=low

  * Initial release (Closes: #540273).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 29 Jul 2009 19:06:11 +0200
