=== debian/control ===
Source: globus-scheduler-event-generator
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gram-protocol-dev (>= 5), libglobus-libtool-dev (>= 1), libglobus-common-dev (>= 3), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, globus-core (>= 5.15-5), doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
Standards-Version: 3.9.2
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-scheduler-event-generator
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-scheduler-event-generator
Homepage: http://www.globus.org/

Package: libglobus-scheduler-event-generator0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool, libglobus-xio-gsi-driver0
Description: Globus Toolkit - Scheduler Event Generator
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-scheduler-event-generator0 package contains:
 Scheduler Event Generator

Package: globus-scheduler-event-generator-progs
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool, libglobus-xio-gsi-driver0
Description: Globus Toolkit - Scheduler Event Generator Programs
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-scheduler-event-generator-progs package contains:
 Scheduler Event Generator Programs

Package: libglobus-scheduler-event-generator-dev
Section: libdevel
Architecture: any
Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-gram-protocol-dev (>= 5), libglobus-libtool-dev (>= 1), libglobus-common-dev (>= 3), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, globus-core (>= 4)
Recommends: libglobus-scheduler-event-generator-doc (= ${binary:Version})
Description: Globus Toolkit - Scheduler Event Generator Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-scheduler-event-generator-dev package contains:
 Scheduler Event Generator Development Files

Package: libglobus-scheduler-event-generator-doc
Section: doc
Architecture: any
Depends: libglobus-scheduler-event-generator-dev (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
Description: Globus Toolkit - Scheduler Event Generator Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-scheduler-event-generator-doc package contains:
 Scheduler Event Generator Documentation Files

Package: globus-scheduler-event-generator-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}) | globus-scheduler-event-generator-progs (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Scheduler Event Generator Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-scheduler-event-generator-dbg package contains:
 Scheduler Event Generator Debug Symbols
