## globus-scheduler-event-generator 4.4

=== debian/changelog ===
globus-scheduler-event-generator (4.4-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Drop patch globus-scheduler-event-generator.patch (fixed upstream)
  * Make doc package architecture independent

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 30 Dec 2011 07:58:36 +0100
