=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-scheduler-event-generator
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gram-protocol-dev (>= 5), libglobus-libtool-dev (>= 1), libglobus-common-dev (>= 3), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, globus-core (>= 5.15-5), doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gram-protocol-dev (>= 11), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-xio-dev (>= 3), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
@@ -12,7 +12,7 @@
 Package: libglobus-scheduler-event-generator0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool, libglobus-xio-gsi-driver0
+Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Scheduler Event Generator
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -26,7 +26,7 @@
 Package: globus-scheduler-event-generator-progs
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool, libglobus-xio-gsi-driver0
+Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Scheduler Event Generator Programs
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -40,8 +40,8 @@
 Package: libglobus-scheduler-event-generator-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-gram-protocol-dev (>= 5), libglobus-libtool-dev (>= 1), libglobus-common-dev (>= 3), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, globus-core (>= 4)
-Recommends: libglobus-scheduler-event-generator-doc (= ${binary:Version})
+Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-gram-protocol-dev (>= 11), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-xio-dev (>= 3), globus-core (>= 8), libltdl-dev
+Recommends: libglobus-scheduler-event-generator-doc (= ${source:Version})
 Description: Globus Toolkit - Scheduler Event Generator Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -54,8 +54,8 @@
 
 Package: libglobus-scheduler-event-generator-doc
 Section: doc
-Architecture: any
-Depends: libglobus-scheduler-event-generator-dev (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
+Architecture: all
+Depends: libglobus-scheduler-event-generator-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Scheduler Event Generator Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
