## globus-scheduler-event-generator 4.6

=== debian/changelog ===
globus-scheduler-event-generator (4.6-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 29 Apr 2012 21:07:33 +0200

globus-scheduler-event-generator (4.4-2) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 23:03:20 +0100
