=== debian/rules ===
--- 
+++ 
@@ -84,6 +84,7 @@
 	rm -f pkgdata/*.gpt
 	rm -f pkgdata/$(name).pc
 	rm -f pkgdata/pkg_data_src.pc.in
+	rm -f gptdata.sh
 	rm -f globus_automake*
 	rm -rf autom4te.cache
 
@@ -151,7 +152,7 @@
 	dh_installman -a
 	dh_installinit -a --name=globus-scheduler-event-generator
 	dh_link -a
-	dh_strip -a --dbg-package=globus-scheduler-event-generator-dbg
+	dh_strip -a --dbg-package=$(name)-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_perl -a
@@ -168,7 +169,7 @@
 	dh_installdocs -p lib$(name)-doc --link-doc=lib$(name)-dev
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_install -i
+	dh_install -i --fail-missing
 	dh_installman -i
 	dh_link -i
 	dh_compress -i -X .tag
