## globus-scheduler-event-generator 4.7

=== debian/changelog ===
globus-scheduler-event-generator (4.7-4) unstable; urgency=medium

  * source default file from init script (Closes: #733999)
  * Fix logfile location

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Jan 2014 14:45:11 +0100

globus-scheduler-event-generator (4.7-3) unstable; urgency=low

  * Implement Multi-Arch support
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Nov 2013 14:51:07 +0100

globus-scheduler-event-generator (4.7-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 23:34:48 +0200

globus-scheduler-event-generator (4.7-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 19:13:27 +0100
