=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: globus-scheduler-event-generator
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gram-protocol-dev (>= 11), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-xio-dev (>= 3), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-xio-dev (>= 3.6), libglobus-xio-gsi-driver-dev (>= 2.4), libglobus-common-dev (>= 14.10), libglobus-gram-protocol-dev (>= 11.3-4~), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
+Standards-Version: 3.9.5
 Section: net
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-scheduler-event-generator
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-scheduler-event-generator
 Homepage: http://www.globus.org/
@@ -12,6 +11,8 @@
 Package: libglobus-scheduler-event-generator0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Scheduler Event Generator
  The Globus Toolkit is an open source software toolkit used for
@@ -26,6 +27,7 @@
 Package: globus-scheduler-event-generator-progs
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Scheduler Event Generator Programs
  The Globus Toolkit is an open source software toolkit used for
@@ -40,7 +42,8 @@
 Package: libglobus-scheduler-event-generator-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-gram-protocol-dev (>= 11), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-xio-dev (>= 3), globus-core (>= 8), libltdl-dev
+Multi-Arch: same
+Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-xio-dev (>= 3), libglobus-xio-gsi-driver-dev (>= 2), globus-core (>= 8), libglobus-common-dev (>= 14), libglobus-gram-protocol-dev (>= 11), libltdl-dev
 Recommends: libglobus-scheduler-event-generator-doc (= ${source:Version})
 Description: Globus Toolkit - Scheduler Event Generator Development Files
  The Globus Toolkit is an open source software toolkit used for
@@ -55,6 +58,7 @@
 Package: libglobus-scheduler-event-generator-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libglobus-scheduler-event-generator-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Scheduler Event Generator Documentation Files
  The Globus Toolkit is an open source software toolkit used for
@@ -66,11 +70,30 @@
  The libglobus-scheduler-event-generator-doc package contains:
  Scheduler Event Generator Documentation Files
 
+Package: libglobus-scheduler-event-generator-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Replaces: globus-scheduler-event-generator-dbg (<< 4.7-3~)
+Breaks: globus-scheduler-event-generator-dbg (<< 4.7-3~)
+Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}
+Description: Globus Toolkit - Scheduler Event Generator Debug Symbols
+ The Globus Toolkit is an open source software toolkit used for
+ building Grid systems and applications. It is being developed by the
+ Globus Alliance and many others all over the world. A growing number
+ of projects and companies are using the Globus Toolkit to unlock the
+ potential of grids for their cause.
+ .
+ The libglobus-scheduler-event-generator-dbg package contains:
+ Scheduler Event Generator Debug Symbols
+
 Package: globus-scheduler-event-generator-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}) | globus-scheduler-event-generator-progs (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: globus-scheduler-event-generator-progs (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - Scheduler Event Generator Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
