=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 name = globus-scheduler-event-generator
 _name = globus_scheduler_event_generator
-version = 4.4
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -12,17 +11,18 @@
 _prefix = /usr
 _bindir = $(_prefix)/bin
 _sbindir = $(_prefix)/sbin
-_libdir = $(_prefix)/lib
+_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/lib$(name)-dev
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
-flavor = gcc64
+ifeq ($(DEB_HOST_ARCH_BITS), 64)
+flavor = gcc64-$(DEB_HOST_MULTIARCH)
 else
-flavor = gcc32
+flavor = gcc32-$(DEB_HOST_MULTIARCH)
 endif
 
 configure: configure-stamp
@@ -30,9 +30,9 @@
 configure-stamp:
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
+
 	/usr/share/globus/globus-bootstrap.sh
-
-	dh_autotools-dev_updateconfig
 
 	./configure \
 	   --disable-static \
@@ -71,10 +71,11 @@
 	# Remove autogenerated files
 
 	rm -f aclocal.m4
+	rm -f compile
 	rm -f configure
-	rm -f config.guess
-	rm -f config.sub
+	rm -f install-sh
 	rm -f ltmain.sh
+	rm -f missing
 	rm -f mkinstalldirs
 
 	rm -f doxygen/Doxyfile*
@@ -114,6 +115,10 @@
 	rm -rf $(INSTALLDIR)/etc/init.d
 	sed '/init\.d/d' -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
 
+	# Fix logfile location
+	sed 's!${localstatedir}/lib/globus/!${localstatedir}/log/globus/!' \
+	  -i $(INSTALLDIR)/etc/default/$(name)
+
 	# Remove installed license file
 	rm -f $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE
 	sed /GLOBUS_LICENSE/d \
@@ -152,13 +157,14 @@
 	dh_installman -a
 	dh_installinit -a --name=globus-scheduler-event-generator
 	dh_link -a
-	dh_strip -a --dbg-package=$(name)-dbg
+	dh_strip -a -X/bin/ -X/sbin/ --dbg-package=lib$(name)-dbg
+	dh_strip -a -X/lib/ --dbg-package=$(name)-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_perl -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/lib$(name)$(soname)/usr/lib
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
