## globus-scheduler-event-generator 5.7

=== debian/changelog ===
globus-scheduler-event-generator (5.7-3) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 23:35:34 +0100

globus-scheduler-event-generator (5.7-2) unstable; urgency=medium

  * Properly handle symlink-to-dir conversion in doc package (Closes: #768264)
  * Enable verbose tests

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Nov 2014 17:26:58 +0100

globus-scheduler-event-generator (5.7-1) unstable; urgency=medium

  * GT6 update (Closes: #630463)
  * Drop patch globus-scheduler-event-generator-doxygen.patch (fixed upstream)
  * Fix manpage typos

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Oct 2014 13:42:31 +0100

globus-scheduler-event-generator (5.6-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Enable checks
  * Activate hardening flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Sep 2014 16:42:59 +0200
