=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-scheduler-event-generator
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-xio-dev (>= 3.6), libglobus-xio-gsi-driver-dev (>= 2.4), libglobus-common-dev (>= 14.10), libglobus-gram-protocol-dev (>= 11.3-4~), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-xio-dev (>= 3), libglobus-gram-protocol-dev (>= 11), libglobus-xio-gsi-driver-dev (>= 2), libltdl-dev, doxygen, graphviz
+Standards-Version: 3.9.6
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-scheduler-event-generator
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-scheduler-event-generator
@@ -13,7 +13,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver (>= 2) | libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Scheduler Event Generator
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -28,7 +28,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
+Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Globus Toolkit - Scheduler Event Generator Programs
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -43,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-xio-dev (>= 3), libglobus-xio-gsi-driver-dev (>= 2), globus-core (>= 8), libglobus-common-dev (>= 14), libglobus-gram-protocol-dev (>= 11), libltdl-dev
+Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 15), libglobus-xio-dev (>= 3), libglobus-gram-protocol-dev (>= 11), libglobus-xio-gsi-driver-dev (>= 2), libltdl-dev
 Recommends: libglobus-scheduler-event-generator-doc (= ${source:Version})
 Description: Globus Toolkit - Scheduler Event Generator Development Files
  The Globus Toolkit is an open source software toolkit used for
@@ -59,7 +59,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libglobus-scheduler-event-generator-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
+Pre-Depends: dpkg (>= 1.17.5)
+Depends: ${misc:Depends}
 Description: Globus Toolkit - Scheduler Event Generator Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -77,6 +78,7 @@
 Multi-Arch: same
 Replaces: globus-scheduler-event-generator-dbg (<< 4.7-3~)
 Breaks: globus-scheduler-event-generator-dbg (<< 4.7-3~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - Scheduler Event Generator Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
