## globus-scheduler-event-generator 5.8

=== debian/changelog ===
globus-scheduler-event-generator (5.8-1) unstable; urgency=medium

  * GT6 update
  * Drop patch globus-scheduler-event-generator-manpages.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Nov 2014 18:21:21 +0100
