## globus-scheduler-event-generator 5.11

=== debian/changelog ===
globus-scheduler-event-generator (5.11-3) unstable; urgency=medium

  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)
  * Update URLs (use toolkit.globus.org)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 16 Feb 2016 16:43:36 +0100

globus-scheduler-event-generator (5.11-2) unstable; urgency=medium

  * Rebuild using doxygen 1.8.9.1 (Closes: #630069)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 30 Apr 2015 20:40:12 +0200

globus-scheduler-event-generator (5.11-1) unstable; urgency=medium

  * GT6 update

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Apr 2015 15:56:14 +0200

globus-scheduler-event-generator (5.10-1) unstable; urgency=medium

  * GT6 update (test fixes)
  * Revert logfile location change

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 Feb 2015 15:59:44 +0100
