=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 _docdir = $(_datadir)/doc/lib$(name)-dev
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export SOURCE_DATE_EPOCH = \
+	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
@@ -45,7 +48,7 @@
 	   --with-lockfile-path='$${localstatedir}/lock/$(name)'
 
 	# Reduce overlinking
-	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool
+	sed 's!CC \(.*-shared\) !CC \\\$${wl}--as-needed \1 !' -i libtool
 
 	touch $@
 
@@ -87,10 +90,6 @@
 
 	# Remove start-up scripts
 	rm -rf $(INSTALLDIR)/etc/init.d
-
-	# Fix logfile location
-	sed 's!${localstatedir}/lib/globus/!${localstatedir}/log/globus/!' \
-	  -i $(INSTALLDIR)/etc/default/$(name)
 
 	# Remove installed license file
 	rm $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE
