=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-scheduler-event-generator
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-xio-dev (>= 3), libglobus-gram-protocol-dev (>= 11), libglobus-xio-gsi-driver-dev (>= 2), libltdl-dev, doxygen, graphviz
-Standards-Version: 3.9.6
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-xio-dev (>= 3), libglobus-gram-protocol-dev (>= 11), libglobus-xio-gsi-driver-dev (>= 2), libltdl-dev, doxygen, graphviz
+Standards-Version: 4.0.0
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-scheduler-event-generator
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-scheduler-event-generator
@@ -13,7 +13,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver (>= 2) | libglobus-xio-gsi-driver0 (>= 2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver (>= 2)
 Description: Globus Toolkit - Scheduler Event Generator
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -70,38 +70,3 @@
  .
  The libglobus-scheduler-event-generator-doc package contains:
  Scheduler Event Generator Documentation Files
-
-Package: libglobus-scheduler-event-generator-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Replaces: globus-scheduler-event-generator-dbg (<< 4.7-3~)
-Breaks: globus-scheduler-event-generator-dbg (<< 4.7-3~)
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libglobus-scheduler-event-generator0 (= ${binary:Version}), ${misc:Depends}
-Description: Globus Toolkit - Scheduler Event Generator Debug Symbols
- The Globus Toolkit is an open source software toolkit used for
- building Grid systems and applications. It is being developed by the
- Globus Alliance and many others all over the world. A growing number
- of projects and companies are using the Globus Toolkit to unlock the
- potential of grids for their cause.
- .
- The libglobus-scheduler-event-generator-dbg package contains:
- Scheduler Event Generator Debug Symbols
-
-Package: globus-scheduler-event-generator-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: foreign
-Depends: globus-scheduler-event-generator-progs (= ${binary:Version}), ${misc:Depends}
-Description: Globus Toolkit - Scheduler Event Generator Debug Symbols
- The Globus Toolkit is an open source software toolkit used for
- building Grid systems and applications. It is being developed by the
- Globus Alliance and many others all over the world. A growing number
- of projects and companies are using the Globus Toolkit to unlock the
- potential of grids for their cause.
- .
- The globus-scheduler-event-generator-dbg package contains:
- Scheduler Event Generator Debug Symbols
